libncurses.so.5 error when using Voria's 2.6.31 kernel

Discussions about Linux installation and configuration on Samsung laptops
jmayniac
Newbie
Newbie
Posts: 3
Joined: 16/09/2009, 18:43

libncurses.so.5 error when using Voria's 2.6.31 kernel

Postby jmayniac » 18/09/2009, 19:16

When using the 2.6.31-10 kernel and trying to run powertop, dhclient or any other app that uses the libncurses.so.5 library, I get an error message like the following:

Code: Select all

error while loading shared libraries: libncurses.so.5: cannot open
shared object file: No such file or directory


I know it's the kernel, or maybe a symptom of the kernel because I booted the default 2.6.28-15 kernel and the error message goes away and the apps work perfectly fine. Not sure what kernel option is doing it, but it's something in there.

This is on a stock CrunchBang Linux Lite 9.04 install, with nothing else modified after the initial install, excpet an "apt-get dist-upgrade" and the addition of Voria's repository.

User avatar
voRia
Administrator
Administrator
Posts: 1378
Joined: 12/02/2009, 18:08
Location: Italy
Contact:

Re: libncurses.so.5 error when using Voria's 2.6.31 kernel

Postby voRia » 18/09/2009, 20:20

Thanks for reporting the problem, just checked, I can confirm it.
Trying to update the libncurses does not solve the problem, I'm searching for more info.
Image
Please consider a little donation to keep the 'Linux On My Samsung' project up and running. Thank you!

User avatar
voRia
Administrator
Administrator
Posts: 1378
Joined: 12/02/2009, 18:08
Location: Italy
Contact:

Re: libncurses.so.5 error when using Voria's 2.6.31 kernel

Postby voRia » 19/09/2009, 10:16

Looking at launchpad bug reports it seems the problem is indirectly caused by the new kernel.

powertop: #428254
dhcp3: #400349

I've added both fixed packages to the repository.

Is there any other application showing this problem? I'm unable to find any other.
Image
Please consider a little donation to keep the 'Linux On My Samsung' project up and running. Thank you!

jmayniac
Newbie
Newbie
Posts: 3
Joined: 16/09/2009, 18:43

Re: libncurses.so.5 error when using Voria's 2.6.31 kernel

Postby jmayniac » 21/09/2009, 20:54

Not that I have found yet.


Return to “Linux On My Samsung”

Who is online

Users browsing this forum: Bing [Bot] and 1 guest